//*******************************************************************************
// attention 
// Copyright (C) 2018 MACNICA,Inc. All Rights Reserved.
//   This software is licensed "AS IS". 
//   Please perform use of this software by a user's own responsibility and expense.
//   It cannot guarantee in the maker side about the damage which occurred by the ab-
//   ility not to use or use this software, and all damage that occurred secondarily.
//*******************************************************************************

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

`default_nettype none

module isp_delay
#(
    parameter DATA_WIDTH = 32,  // Data bit width
    parameter DELAY      = 8    // Delay
)
(
    input  wire                     clock,
    input  wire                     reset_n,

    input  wire [DATA_WIDTH-1:0]    in_data,
    output wire [DATA_WIDTH-1:0]    out_data
);

    reg     [DATA_WIDTH-1:0]    dly_data[DELAY-1:0];
    assign  out_data = dly_data[DELAY-1];
    
    integer i;
    
    always @(posedge clock or negedge reset_n) begin
        if (!reset_n) begin
            for (i = 0; i < DELAY; i = i + 1) begin : CLR
                dly_data[i]   <= 0;
            end
        end else begin
            for (i = 1; i < DELAY; i = i + 1) begin : SETS
                dly_data[i] <= dly_data[i - 1];
            end
            dly_data[0]   <= in_data;
        end
    end

endmodule

`default_nettype wire