#!/bin/bash
#Create: Jul.22,2022

OVL_PATH=/sys/kernel/config/device-tree/overlays
CAM_RES=960 #Select 640, 960, 1080 
SCL_WIDTH=640 #Set the horizontal size of the scaler
SCL_HEIGHT=480 #Set the vertical size of the scaler
 
echo "camera re-configureation start"

if [ $CAM_RES -eq 480 ]; then
    echo "Modify dtso to 480p setting"
    sed -i "7s/<.*>/<60>/g" cam_vfw.dtso
    sed -i "8s/<.*>/<$SCL_WIDTH>/g" cam_vfw.dtso
    sed -i "9s/<.*>/<$SCL_HEIGHT>/g" cam_vfw.dtso
elif [ $CAM_RES -eq 960 ]; then
    echo "Modify dtso to 960p setting"
    sed -i "7s/<.*>/<32>/g" cam_vfw.dtso
    sed -i "8s/<.*>/<$SCL_WIDTH>/g" cam_vfw.dtso
    sed -i "9s/<.*>/<$SCL_HEIGHT>/g" cam_vfw.dtso
else
    echo "Modify dtso to 1080p setting"
    sed -i "7s/<.*>/<30>/g" cam_vfw.dtso
    sed -i "8s/<.*>/<$SCL_WIDTH>/g" cam_vfw.dtso
    sed -i "9s/<.*>/<$SCL_HEIGHT>/g" cam_vfw.dtso
fi

echo "Create .dtbo"
dtc -I dts -O dtb -o cam_vfw.dtbo cam_vfw.dtso

echo "Remove current overlay & Unload capture driver"
if [ -d $OVL_PATH/cam_vfw ]; then
    sudo rmdir $OVL_PATH/cam_vfw
fi
sudo modprobe -r altvfwcap

echo "Run devicetree overaly & Load capture driver"
sudo mkdir $OVL_PATH/cam_vfw
sudo sh -c "cat cam_vfw.dtbo > ${OVL_PATH}/cam_vfw/dtbo"
sudo modprobe altvfwcap

echo "Set the camera module"
python3 cam_init.py -r $CAM_RES -hw $SCL_WIDTH -vh $SCL_HEIGHT


