	component subsys_cam is
		port (
			cam_clk_clk               : in  std_logic                      := 'X';             -- clk
			cam_in_vid_clk            : in  std_logic                      := 'X';             -- vid_clk
			cam_in_vid_data           : in  std_logic_vector(23 downto 0)  := (others => 'X'); -- vid_data
			cam_in_vid_de             : in  std_logic                      := 'X';             -- vid_de
			cam_in_vid_datavalid      : in  std_logic                      := 'X';             -- vid_datavalid
			cam_in_vid_locked         : in  std_logic                      := 'X';             -- vid_locked
			cam_in_vid_f              : in  std_logic                      := 'X';             -- vid_f
			cam_in_vid_v_sync         : in  std_logic                      := 'X';             -- vid_v_sync
			cam_in_vid_h_sync         : in  std_logic                      := 'X';             -- vid_h_sync
			cam_in_vid_hd_sdn         : in  std_logic                      := 'X';             -- vid_hd_sdn
			cam_in_vid_color_encoding : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- vid_color_encoding
			cam_in_vid_bit_width      : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- vid_bit_width
			cam_in_sof                : out std_logic;                                         -- sof
			cam_in_sof_locked         : out std_logic;                                         -- sof_locked
			cam_in_refclk_div         : out std_logic;                                         -- refclk_div
			cam_in_clipping           : out std_logic;                                         -- clipping
			cam_in_padding            : out std_logic;                                         -- padding
			cam_in_overflow           : out std_logic;                                         -- overflow
			cam_pio_export            : out std_logic_vector(15 downto 0);                     -- export
			cam_reset_reset_n         : in  std_logic                      := 'X';             -- reset_n
			control_waitrequest       : out std_logic;                                         -- waitrequest
			control_readdata          : out std_logic_vector(31 downto 0);                     -- readdata
			control_readdatavalid     : out std_logic;                                         -- readdatavalid
			control_burstcount        : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- burstcount
			control_writedata         : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- writedata
			control_address           : in  std_logic_vector(9 downto 0)   := (others => 'X'); -- address
			control_write             : in  std_logic                      := 'X';             -- write
			control_read              : in  std_logic                      := 'X';             -- read
			control_byteenable        : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- byteenable
			control_debugaccess       : in  std_logic                      := 'X';             -- debugaccess
			master_wr_write           : out std_logic;                                         -- write
			master_wr_writedata       : out std_logic_vector(255 downto 0);                    -- writedata
			master_wr_address         : out std_logic_vector(31 downto 0);                     -- address
			master_wr_burstcount      : out std_logic_vector(10 downto 0);                     -- burstcount
			master_wr_byteenable      : out std_logic_vector(31 downto 0);                     -- byteenable
			master_wr_waitrequest     : in  std_logic                      := 'X'              -- waitrequest
		);
	end component subsys_cam;

	u0 : component subsys_cam
		port map (
			cam_clk_clk               => CONNECTED_TO_cam_clk_clk,               --   cam_clk.clk
			cam_in_vid_clk            => CONNECTED_TO_cam_in_vid_clk,            --    cam_in.vid_clk
			cam_in_vid_data           => CONNECTED_TO_cam_in_vid_data,           --          .vid_data
			cam_in_vid_de             => CONNECTED_TO_cam_in_vid_de,             --          .vid_de
			cam_in_vid_datavalid      => CONNECTED_TO_cam_in_vid_datavalid,      --          .vid_datavalid
			cam_in_vid_locked         => CONNECTED_TO_cam_in_vid_locked,         --          .vid_locked
			cam_in_vid_f              => CONNECTED_TO_cam_in_vid_f,              --          .vid_f
			cam_in_vid_v_sync         => CONNECTED_TO_cam_in_vid_v_sync,         --          .vid_v_sync
			cam_in_vid_h_sync         => CONNECTED_TO_cam_in_vid_h_sync,         --          .vid_h_sync
			cam_in_vid_hd_sdn         => CONNECTED_TO_cam_in_vid_hd_sdn,         --          .vid_hd_sdn
			cam_in_vid_color_encoding => CONNECTED_TO_cam_in_vid_color_encoding, --          .vid_color_encoding
			cam_in_vid_bit_width      => CONNECTED_TO_cam_in_vid_bit_width,      --          .vid_bit_width
			cam_in_sof                => CONNECTED_TO_cam_in_sof,                --          .sof
			cam_in_sof_locked         => CONNECTED_TO_cam_in_sof_locked,         --          .sof_locked
			cam_in_refclk_div         => CONNECTED_TO_cam_in_refclk_div,         --          .refclk_div
			cam_in_clipping           => CONNECTED_TO_cam_in_clipping,           --          .clipping
			cam_in_padding            => CONNECTED_TO_cam_in_padding,            --          .padding
			cam_in_overflow           => CONNECTED_TO_cam_in_overflow,           --          .overflow
			cam_pio_export            => CONNECTED_TO_cam_pio_export,            --   cam_pio.export
			cam_reset_reset_n         => CONNECTED_TO_cam_reset_reset_n,         -- cam_reset.reset_n
			control_waitrequest       => CONNECTED_TO_control_waitrequest,       --   control.waitrequest
			control_readdata          => CONNECTED_TO_control_readdata,          --          .readdata
			control_readdatavalid     => CONNECTED_TO_control_readdatavalid,     --          .readdatavalid
			control_burstcount        => CONNECTED_TO_control_burstcount,        --          .burstcount
			control_writedata         => CONNECTED_TO_control_writedata,         --          .writedata
			control_address           => CONNECTED_TO_control_address,           --          .address
			control_write             => CONNECTED_TO_control_write,             --          .write
			control_read              => CONNECTED_TO_control_read,              --          .read
			control_byteenable        => CONNECTED_TO_control_byteenable,        --          .byteenable
			control_debugaccess       => CONNECTED_TO_control_debugaccess,       --          .debugaccess
			master_wr_write           => CONNECTED_TO_master_wr_write,           -- master_wr.write
			master_wr_writedata       => CONNECTED_TO_master_wr_writedata,       --          .writedata
			master_wr_address         => CONNECTED_TO_master_wr_address,         --          .address
			master_wr_burstcount      => CONNECTED_TO_master_wr_burstcount,      --          .burstcount
			master_wr_byteenable      => CONNECTED_TO_master_wr_byteenable,      --          .byteenable
			master_wr_waitrequest     => CONNECTED_TO_master_wr_waitrequest      --          .waitrequest
		);

